View Issue Details

IDProjectCategoryView StatusLast Update
0003346Ham Radio DeluxeBugpublic2019-11-08 02:31
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.244 
Summary0003346: LicenseValidator's ReadProductProperties method catches all exceptions
Description
    catch (...)
    {
        //errorMessage = ex.Message;
    }


It's an anti-pattern to catch all exceptions in most cases. Here, for sure -- no cleanup is performed, and the one chance at error reporting is commented-out (because it wouldn't work -- no such variables here). This code may pass a NULL pointer to OutputDebugString(), and the catch(...) code will make detecting and debugging that occurrence difficult.
TagsNo tags attached.
ModuleSW License Mgmt
Sub-ModuleSW License Client
Testing N/A

Relationships

child of 0003370 closedWA9PIE Ham Radio Deluxe Maintenance release for remaining license server topics 

Activities

K7ZCZ

2019-07-21 06:12

administrator   ~0008252

fixed with this checkin in the 6.6 branch:

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5084

WA9PIE

2019-09-07 09:03

administrator   ~0008527

Taking the developer's account as valid.

Issue History

Date Modified Username Field Change
2019-06-11 08:35 K7ZCZ New Issue
2019-06-15 10:43 WA9PIE Description Updated View Revisions
2019-06-15 10:43 WA9PIE Module QLM => SW License Mgmt
2019-06-15 10:43 WA9PIE Sub-Module QLM Client => SW License Client
2019-06-23 13:04 WA9PIE Relationship added child of 0003370
2019-07-21 06:12 K7ZCZ Assigned To => K7ZCZ
2019-07-21 06:12 K7ZCZ Status new => resolved
2019-07-21 06:12 K7ZCZ Resolution open => fixed
2019-07-21 06:12 K7ZCZ Note Added: 0008252
2019-08-30 13:31 K7ZCZ Fixed in Version => 6.7.0.226
2019-09-07 09:03 WA9PIE Status resolved => closed
2019-09-07 09:03 WA9PIE Testing Not Started => N/A
2019-09-07 09:03 WA9PIE Note Added: 0008527
2019-11-08 02:16 WA9PIE Fixed in Version 6.7.0.226 => 6.7.0.244
2019-11-08 02:31 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe